<?php
$ecsstender_options =  get_option('ecsstender_plugin');
$ecsstender_dir = dirname(__FILE__);

/* Get the list of plugins */
$plugins = array();
if ($handle = opendir($ecsstender_dir.'/extensions')) {
    while (false !== ($file = readdir($handle))) {
        if (!is_dir($file)) {
            $plugins[$file] = array();
        }
    }
    closedir($handle);
}

/* get more informations about the files */
foreach($plugins as $ID => $plugin ){
	$content = file_get_contents($ecsstender_dir.'/extensions/'.$ID);
	$infos = array();
	
	//Name
	preg_match('/@Name\s(.*)/',$content,$name);
	$infos['name'] = $name[1];
	
	//Utility
	preg_match('/@Utility\s(.*)/',$content,$utility);
	$infos['utility'] = $utility[1];
	
	//Needs
	preg_match('/@Needs\s(.*)/',$content,$needs);
	$infos['needs'] = $needs[1];
	
	//Scripts
	preg_match('/@Scripts\s(.*)/',$content,$scripts);
	$infos['scripts'] = $scripts[1];

	$plugins[$ID] = $infos;
}

/* Check for admin Options submission and update options*/
if ('process' == $_POST['stage']) {
	$installed = array();
	foreach($_POST['ecsstend'] as $install){
		$installed[] = $install;
	}
	
	$new_options = array(
		'available' => $plugins, 
		'installed' => $installed
	);

    update_option('ecsstender_plugin', $new_options);
    $ecsstender_options = $new_options;
}

?>
<div class="wrap">
  <h2><?php _e('eCSStender Options', 'ecsstender') ?></h2>

<form id="css-filter" method="post" action="">
	<input type="hidden" name="stage" value="process" />
	<?php wp_nonce_field( 'ecsstender-bulk' ) ?>
	
	<table class="widefat" summary="" title="eCSStender">
		<thead>
		<tr>
            <th scope="col" class="check-column"><input type="checkbox" onclick="eCSStender.checkAll(document.getElementById('css-filter'));" /></th>
			<th scope="col"><?php _e( 'Name', 'ecsstender' ) ?></th>
			<th scope="col"><?php _e( 'Description', 'ecsstender' ) ?></th>
			<th scope="col"><?php _e( 'Scripts', 'ecsstender' ) ?></th>
			<th scope="col"><?php _e( 'Needs', 'ecsstender' ) ?></th>
		</tr>
		<tbody id="the-list">
			<?php foreach($plugins as $ID => $plugin ){  
					$class = ( 'alternate' == $class ) ? '' : 'alternate'; 
					$checked = (in_array($ID, $ecsstender_options['installed'])) ? ' checked="checked" ' : '';
			 ?>
			<tr class="<?php echo $class ?>">
				<th scope="row" class="check-column"><input type="checkbox" value="<?php echo $ID ?>" name="ecsstend[<?php echo $ID ?>]"<? echo $checked ?> /></th>
				<td><?php echo $plugin['name'] ?></td>
				<td><?php echo $plugin['utility'] ?></td>
				<td><?php echo $plugin['scripts'] ?></td>
				<td><?php echo $plugin['needs'] ?></td>
			</tr>
			<?php } ?>

		</tbody>
	</table>
	
	<div class="tablenav" style="margin-bottom: 0.1em;">
		<input type="submit" value="<?php _e('Apply'); ?>" name="doaction" id="doaction" class="button-secondary action" />
	</div>
</form>

</div>